variables:
  aud:  aud_zusammenfassung.pdf
  ffi:  ForensInf2_Zusammenfassung.pdf
  gds1: gds_braindump_ss16.pdf
  gds2: gds_braindump_ss17.pdf
  gti:  gti_zusammenfassung.pdf
  idb1: idb_skript_greeny/IDB.pdf
  idb2: klausur_ws1516/klausur_idb_WS1516.pdf
  idb3: klausur_ss16/klausur_idb_SS16.pdf
  idb4: klausur_ss16/klausur_idb_SS16_ML.pdf
  konzmod: konzmod_zusammenfassung.pdf
  mathec1: mathec1_zussammenfassung.pdf
  mathec4: MaC4Cheatsheet.pdf
  rk1: KlausurLV_SS14_September.pdf
  rk2: KlausurLV_WS1415_Maerz.pdf
  thprog1: Koinduktion_reduktion.pdf
  thprog2: Konfluenz.pdf
  thprog3: Polynomordnung.pdf
  thprog4: PumpingLemma.pdf
  thprog5: Strukturelle_Induktion.pdf
  thprog6: SystemF.pdf
  thprog7: ThProgCheatsheet.pdf


image: tianon/latex

before_script:
    - apt-get update
    - apt-get install -y build-essential poppler-utils

.make: &make |
    make -C $CI_JOB_NAME

AuD:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$aud
  artifacts:
        paths:
            - $CI_JOB_NAME/$aud

FFI:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$ffi
  artifacts:
        paths:
            - $CI_JOB_NAME/$ffi

GDS:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$gds1
        - ./.check_artifacts.sh $CI_JOB_NAME/$gds2
  artifacts:
        paths:
            - $CI_JOB_NAME/$gds1
            - $CI_JOB_NAME/$gds2

GTI:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$gti
  artifacts:
        paths:
            - $CI_JOB_NAME/$gti

IDB:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$idb1
        - ./.check_artifacts.sh $CI_JOB_NAME/$idb2
        - ./.check_artifacts.sh $CI_JOB_NAME/$idb3
        - ./.check_artifacts.sh $CI_JOB_NAME/$idb4
  artifacts:
        paths:
            - $CI_JOB_NAME/$idb1
            - $CI_JOB_NAME/$idb2
            - $CI_JOB_NAME/$idb3
            - $CI_JOB_NAME/$idb4

KonzMod:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$konzmod
  artifacts:
        paths:
            - $CI_JOB_NAME/$konzmod

MatheC1:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$mathec1
  artifacts:
        paths:
            - $CI_JOB_NAME/$mathec1

MatheC4:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$mathec4
  artifacts:
        paths:
            - $CI_JOB_NAME/$mathec4

RK:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$rk1
        - ./.check_artifacts.sh $CI_JOB_NAME/$rk2
  artifacts:
        paths:
            - $CI_JOB_NAME/$rk1
            - $CI_JOB_NAME/$rk2

ThProg:
  script:
        - make -C $CI_JOB_NAME
        - ./.check_artifacts.sh $CI_JOB_NAME/$thprog1
        - ./.check_artifacts.sh $CI_JOB_NAME/$thprog2
        - ./.check_artifacts.sh $CI_JOB_NAME/$thprog3
        - ./.check_artifacts.sh $CI_JOB_NAME/$thprog4
        - ./.check_artifacts.sh $CI_JOB_NAME/$thprog5
        - ./.check_artifacts.sh $CI_JOB_NAME/$thprog6
        - ./.check_artifacts.sh $CI_JOB_NAME/$thprog7
  artifacts:
        paths:
            - $CI_JOB_NAME/$thprog1
            - $CI_JOB_NAME/$thprog2
            - $CI_JOB_NAME/$thprog3
            - $CI_JOB_NAME/$thprog4
            - $CI_JOB_NAME/$thprog5
            - $CI_JOB_NAME/$thprog6
            - $CI_JOB_NAME/$thprog7
